#ifndef DATAFILE_H
#define DATAFILE_H

struct tDatafileIndex
{
	long offset;
	const struct GameDriver *driver;
};

struct tMenuIndex
{
	long offset;
	char *menuitem;
};

int load_driver_history (const struct GameDriver *drv, char *buffer, int bufsize);
int load_driver_command_ex(const struct GameDriver *drv, char *buffer, int bufsize, const int menu_sel);
UINT8 command_sub_menu(const struct GameDriver *drv, const char *menu_item[]);
void free_datafile(void);

#endif
